petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCFactorSetUpMatSolverType

Can be called after KSPSetOperators() or PCSetOperators(), causes MatGetFactor() to be called so then one may set the options for that particular factorization object.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetUpMatSolverType(PC pc)

### Input Parameter

pc -the preconditioner context

### Notes

After you have called this function (which has to be after the KSPSetOperators() or PCSetOperators()) you can call PCFactorGetMatrix() and then set factor options on that matrix.

### See Also

PCFactorSetMatSolverType(), PCFactorGetMatrix()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F90.html

### Implementations

PCFactorSetUpMatSolverType_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages